nn.pp.rccore

## Interface KeyboardListener

- All Known Implementing Classes:
    RCAdapter

      public interface KeyboardListener

  Event handlers for keyboard events

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `ctrlAltReleaseDetected()` The keyboard implementation has detected that Ctrl+Alt has been pressed.
    `void` | `hotkeyDetected(int hotkey)` A hotkey has been detected.
    `void` | `keyboardEvent(int rcKeyCode, boolean released)` Handler delegate for detected keyboard events
    `void` | `keyboardMacroSent(IKeyboardMacro macro)` A keyboard macro has been sent to the target

- - ### Method Detail

    - #### keyboardEvent

          void keyboardEvent(int rcKeyCode,
                             boolean released)

      Handler delegate for detected keyboard events

      All keyboard events (key presses and releases) that are sent to the remote target are also distributed by this event handler.

      Key codes in this event represent a physical key location as defined internally by the KX implementation.

      Parameters:
        `rcKeyCode` - The physical key code
        `released` - true if the key was released, false if pressed

    - #### hotkeyDetected

          void hotkeyDetected(int hotkey)

      A hotkey has been detected.

      In order to set hotkeys, use the `RCCore.setHotkeys(java.util.Map)` method.

      Parameters:
        `hotkey` - the numeric value associated with the detected hotkey
      See Also:
        `RCCore.setHotkeys(java.util.Map)`

    - #### ctrlAltReleaseDetected

          void ctrlAltReleaseDetected()

      The keyboard implementation has detected that Ctrl+Alt has been pressed.

    - #### keyboardMacroSent

          void keyboardMacroSent(IKeyboardMacro macro)

      A keyboard macro has been sent to the target
      Parameters:
        `macro` - the keyboard macro sent

Copyright © 2025 Raritan Inc. All Rights Reserved.